CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::aio::acceptor Class Reference

this class represents a socket that accepts incoming connections More...

`#include <booster/booster/aio/acceptor.h>`

Inheritance diagram for booster::aio::acceptor:

## Public Member Functions
| acceptor ()
| acceptor (io_service &srv)
void | open (family_type d)
void | open (family_type d, system::error_code &e)
void | accept (stream_socket &s)
void | accept (stream_socket &s, system::error_code &e)
void | bind (endpoint const &ep)
void | bind (endpoint const &ep, system::error_code &e)
void | listen (int backlog)
void | listen (int backlog, system::error_code &e)
void | async_accept (stream_socket &s, event_handler const &h)
Public Member Functions inherited from booster::aio::basic_socket
| basic_socket ()
| basic_socket (io_service &srv)
void | open (family_type d, socket_type t)
void | open (family_type d, socket_type t, system::error_code &e)
endpoint | local_endpoint (system::error_code &e)
endpoint | local_endpoint ()
endpoint | remote_endpoint (system::error_code &e)
endpoint | remote_endpoint ()
bool | get_option (boolean_option_type opt, system::error_code &e)
bool | get_option (boolean_option_type opt)
void | set_option (boolean_option_type opt, bool v, system::error_code &e)
void | set_option (boolean_option_type opt, bool v)
int | get_option (integer_option_type opt, system::error_code &e)
int | get_option (integer_option_type opt)
void | set_option (integer_option_type opt, int v, system::error_code &e)
void | set_option (integer_option_type opt, int v)
void | bind (endpoint const &ep)
void | bind (endpoint const &ep, system::error_code &e)
Public Member Functions inherited from booster::aio::basic_io_device
| basic_io_device ()
| basic_io_device (io_service &srv)
virtual | ~basic_io_device ()
bool | has_io_service ()
io_service & | get_io_service ()
void | set_io_service (io_service &srv)
void | reset_io_service ()
void | attach (native_type fd)
void | assign (native_type fd)
native_type | release ()
native_type | native ()
void | close ()
void | close (system::error_code &e)
void | on_readable (event_handler const &r)
void | on_writeable (event_handler const &r)
void | cancel ()
basic_io_device & | lowest_layer ()
void | set_non_blocking (bool nonblocking)
void | set_non_blocking (bool nonblocking, system::error_code &e)
void | set_non_blocking_if_needed (bool nonblocking)
void | set_non_blocking_if_needed (bool nonblocking, system::error_code &e)

## Additional Inherited Members
Public Types inherited from booster::aio::basic_socket
enum | boolean_option_type { tcp_no_delay, keep_alive, reuse_address }
enum | integer_option_type { receive_buffer_size, send_buffer_size }
Static Public Member Functions inherited from booster::aio::basic_io_device
static bool | would_block (system::error_code const &e)
Protected Member Functions inherited from booster::aio::basic_io_device
bool | dont_block (event_handler const &c)
bool | dont_block (io_handler const &c)

## Detailed Description

this class represents a socket that accepts incoming connections

## Constructor & Destructor Documentation

booster::aio::acceptor::acceptor | ( |  | ) |

Create a new acceptor object

booster::aio::acceptor::acceptor | ( | io_service & | srv | ) |

Create a new acceptor object with assigned io_service srv)

## Member Function Documentation

void booster::aio::acceptor::accept | ( | stream_socket & | s | ) |

Accepts a new incoming connection to the socket s

Throws system::system_error if error occurs.

void booster::aio::acceptor::accept | ( | stream_socket & | s,
|  | system::error_code & | e
| ) |  |

Accepts a new incoming connection to the socket s

If a error occurs it is assigned to e.

void booster::aio::acceptor::async_accept | ( | stream_socket & | s,
|  | event_handler const & | h
| ) |  |

Accept the connection asynchronously. The reference s must be valid until h is called.

If io_service is not assigned throws system::system_error, all other errors reported via the callback h.

void booster::aio::acceptor::bind | ( | endpoint const & | ep | ) |

Bind the opended socket the endpoint ep

Throws system::system_error if error occurs.

Note: calls basic_socket::bind(ep) - exists there just for backward compatibility

void booster::aio::acceptor::bind | ( | endpoint const & | ep,
|  | system::error_code & | e
| ) |  |

Bind the opended socket the endpoint ep

If a error occurs it is assigned to e.

Note: calls basic_socket::bind(ep,e) - exists there just for backward compatibility

void booster::aio::acceptor::listen | ( | int | backlog | ) |

Starts listening on the socket with backlog parameter backlog

Throws system::system_error if error occurs.

void booster::aio::acceptor::listen | ( | int | backlog,
|  | system::error_code & | e
| ) |  |

Starts listening on the socket with backlog parameter backlog

If a error occurs it is assigned to e.

void booster::aio::acceptor::open | ( | family_type | d | ) |

Opens a new stream socket of a family_type d

Throws system::system_error if error occurs.

void booster::aio::acceptor::open | ( | family_type | d,
|  | system::error_code & | e
| ) |  |

Opens a new stream socket of a family_type d

If a error occurs it is assigned to e.

The documentation for this class was generated from the following file:

- booster/aio/acceptor.h